Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## josx.vision
Class FlipEffect

    java.lang.Object
      josx.vision.VisionEffect
          josx.vision.FlipEffect

All Implemented Interfaces:
  javax.media.Codec, javax.media.Controls, javax.media.Effect, javax.media.PlugIn

    public class FlipEffect

extends VisionEffect

Field Summary
`boolean` | `flip`

Fields inherited from class josx.vision.VisionEffect
`inputFormat, inputFormats, outputFormat, outputFormats`

Fields inherited from interface javax.media.PlugIn
`BUFFER_PROCESSED_FAILED, BUFFER_PROCESSED_OK, INPUT_BUFFER_NOT_CONSUMED, OUTPUT_BUFFER_NOT_FILLED, PLUGIN_TERMINATED`

Constructor Summary
`FlipEffect()` Create flip effect

Method Summary
`java.lang.Object[]` | `getControls()` Getter for array on one control for adjusing motion threshold and setting debug.
`java.lang.String` | `getName()`
`int` | `process(javax.media.Buffer inBuffer, javax.media.Buffer outBuffer)` Flip the data in each line

Methods inherited from class josx.vision.VisionEffect
`close, getControl, getSupportedInputFormats, getSupportedOutputFormats, matches, open, reset, setInputFormat, setOutputFormat, validateByteArraySize`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### flip

    public boolean flip

Constructor Detail

### FlipEffect

    public FlipEffect()

  Create flip effect

Method Detail

### process

    public int process(javax.media.Buffer inBuffer,
                       javax.media.Buffer outBuffer)

  Flip the data in each line

### getName

    public java.lang.String getName()

  Returns:
    "Flip Effect"

### getControls

    public java.lang.Object[] getControls()

  Getter for array on one control for adjusing motion threshold and setting debug.

  Specified by:
    `getControls` in interface `javax.media.Controls`
  Overrides:
    `getControls` in class `VisionEffect`
  Returns:
    an array of one ColorDetectionControl

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD